import { CodeAnalysisResult } from "./CodeAnalysisResult";
import { AppConfig } from "../types/AppConfig";
import { ApiResource } from "@autodev/worker-core";
export declare class InterfaceAnalyzerApp {
    private instantiationService;
    private codeAnalyzer;
    private config;
    constructor(config: AppConfig);
    /**
     * Upload interface based and markdown analysis result to the server
     * @param result
     * @param config
     */
    uploadCodeResult(result: CodeAnalysisResult): Promise<void>;
    /**
     * Upload interface based and markdown analysis result to the server
     * @param result
     * @param config
     */
    uploadApiCodeResult(result: ApiResource[]): Promise<void>;
    handleInterfaceContext(): Promise<void>;
    handleApiContext(): Promise<void>;
    private analysisProtobuf;
}
